AlgorithmIdentifier (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class AlgorithmIdentifier

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.AlgorithmIdentifier

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    PBES2Algorithms

      public class AlgorithmIdentifier
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlgorithmIdentifier(ASN1ObjectIdentifier objectId)`
    `AlgorithmIdentifier(ASN1ObjectIdentifier objectId, ASN1Encodable parameters)`
    `AlgorithmIdentifier(ASN1Sequence seq)` Deprecated. use AlgorithmIdentifier.getInstance()
    `AlgorithmIdentifier(java.lang.String objectId)` Deprecated. use ASN1ObjectIdentifier

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getAlgorithm()`
    `static AlgorithmIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static AlgorithmIdentifier` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getObjectId()` Deprecated. use getAlgorithm
    `ASN1Encodable` | `getParameters()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmIdentifier

          public AlgorithmIdentifier(ASN1ObjectIdentifier objectId)

    - #### AlgorithmIdentifier

          public AlgorithmIdentifier(java.lang.String objectId)

      Deprecated. use ASN1ObjectIdentifier
      Parameters:
        `objectId` -

    - #### AlgorithmIdentifier

          public AlgorithmIdentifier(ASN1ObjectIdentifier objectId,
                             ASN1Encodable parameters)

    - #### AlgorithmIdentifier

          public AlgorithmIdentifier(ASN1Sequence seq)

      Deprecated. use AlgorithmIdentifier.getInstance()
      Parameters:
        `seq` -

  - ### Method Detail

    - #### getInstance

          public static AlgorithmIdentifier getInstance(ASN1TaggedObject obj,
                                        boolean explicit)

    - #### getInstance

          public static AlgorithmIdentifier getInstance(java.lang.Object obj)

    - #### getAlgorithm

          public ASN1ObjectIdentifier getAlgorithm()

    - #### getObjectId

          public ASN1ObjectIdentifier getObjectId()

      Deprecated. use getAlgorithm
      Returns:

    - #### getParameters

          public ASN1Encodable getParameters()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

                AlgorithmIdentifier ::= SEQUENCE {
                                      algorithm OBJECT IDENTIFIER,
                                      parameters ANY DEFINED BY algorithm OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.